package jp.agentec.abook.abv.bl.dto;

import java.util.Date;


/**
 * Memo情報を格納します。
 * @author Tanigawa
 * @version　1.0.1
 */
public class ContentMemoDto extends AbstractDto {
	public long contentId;
	public String memoId;
	public int pageNum;
	public String memo;
	public int axisX;
	public int axisY;
	public boolean copyFlg;
	public boolean delFlg;
	public Date insertDate;
	public Date updateDate;
	public String insertDateStr;
	public String updateDateStr;
	public int viewX;
    public int viewY;
	
	@Override
	public Object[] getInsertValues() {
		return new Object[]{contentId, memoId, pageNum, memo, axisX, axisY, copyFlg, delFlg, insertDate, updateDate};
	}

	@Override
	public Object[] getUpdateValues() {
		return new Object[]{memo, copyFlg, delFlg, updateDate, contentId, pageNum, axisX, axisY};
	}

	@Override
	public String[] getKeyValues() {
		return new String[]{""+ contentId, ""+ pageNum, ""+ axisX, ""+ axisY};
	}
}
